#ifndef DOMINODEVICELTM9011_H
#define DOMINODEVICELTM9011_H

#include "dominodevice.h"

class DominoDeviceLtm9011 : public DominoDevice
{
public:
    DominoDeviceLtm9011(const DeviceIndex &index, QObject *parent = nullptr);

protected:
    void setupAdc() override;
    QMap<int, bool> patternTestByChannel() override;
    void setCustomPatternMode(bool mode) override;
    void setCustomPattern(quint16 data) override;
};

#endif // DOMINODEVICELTM9011_H
