#ifndef STOPCONDITIONSDIALOG_H
#define STOPCONDITIONSDIALOG_H

#include <QDialog>

class Adc64SystemConfig;

namespace Ui {
class StopConditionsDialog;
}

class StopConditionsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit StopConditionsDialog(Adc64SystemConfig *config, QWidget *parent = nullptr);
    ~StopConditionsDialog();

private slots:
    void on_evNumLimSpinBox_valueChanged(int limit);

private:
    Ui::StopConditionsDialog *ui;
    Adc64SystemConfig *config;
};

#endif // STOPCONDITIONSDIALOG_H
