#ifndef CONFIG_H
#define CONFIG_H

#include <QString>

#include <base/DeviceIndexEnabled.h>

class QSettings;

struct Config
{
    Config() : verifyAfterWrite(true) {}

    void loadSettings();
    void saveSettings();

    QString filePath;
    bool verifyAfterWrite;
    DeviceIndexEnabledMap devices;
};

#endif // CONFIG_H
