#ifndef CONFIGDB_H
#define CONFIGDB_H

#include "Config.h"
#include "mongo/AbstractConfigDb.h"

class ConfigDB : public AbstractConfigDb
{
    Q_OBJECT
public:
    ConfigDB(const ConfigSelector &_cs, QObject *parent = nullptr);

signals:
    void configChanged(const Config &);
public slots:
    void setConfig(const Config &newConfig);
    void update_config_from_db() override final;

//    void write_hist(const Config &newConfig); // TODEL
//    QMap<QString, QStringList> get_config_map(const DaqModule &program_type); // TODEL
//    bool delete_config(const ConfigSelector &cs); // TODEL
private:
    Config config;
};

#endif // CONFIGDB_H
