#include "DeviceConfig.h"

#include <QDebug>

bool operator==(const DeviceConfig &l, const DeviceConfig &r)
{
    return
            l.device_index == r.device_index &&
            l.channel_thr_map == r.channel_thr_map &&
            l.baseLine == r.baseLine &&
            l.enabled == r.enabled &&
            l.lut_path == r.lut_path &&
            l.hit_extension == r.hit_extension;
}
QDebug operator<<(QDebug dbg, const DeviceConfig &s)
{
    dbg << "DeviceConfig{"
        << "enabled:" << s.enabled
        << "device_index:" << s.device_index
        << "channel_thr_map:" << s.channel_thr_map
        << "baseLine:" << s.baseLine
        << "lut_path:" << s.lut_path
        << "hit_extension:" << s.hit_extension
        << "}";
    return dbg;
}
