#include "TdcConfigDispatcher.h"

#include "TdcConfig.h"

TdcConfigDispatcher::TdcConfigDispatcher(QObject *parent) :
    BaseConfigDispatcher(parent),
    cache(new TdcConfig())
{
    qRegisterMetaType<TdcConfig>();
}


void TdcConfigDispatcher::setConfig(const TdcConfig &config)
{
    if (config == *cache)
        return;
    *cache = config;
    emit configChanged(config);
}
