#ifndef CALCONFIGDB_H
#define CALCONFIGDB_H

#include <QObject>

#include "CalConfig.h"

class CalConfigDb : public QObject
{
    Q_OBJECT
public:
    explicit CalConfigDb(QObject *parent = nullptr);

signals:
    void calConfigChanged(const CalConfig &) const;

public slots:
    void setCalConfig(int config_key, const CalConfig &newCalConfig);
    virtual void update_config_from_db();

private:
    CalConfig cacheCalConfig;
};

#endif // CALCONFIGDB_H
