#ifndef CALRESULT_H
#define CALRESULT_H

#include <QMetaType>
#include <QMap>

#include "base/DeviceIndex.h"

struct CalResult
{
    DeviceIndex index;
    int nch=0;
    QMap<int, double> temps;
    QMap<int, double> adcVals;
    QMap<int, double> rms;
    QMap<int, double> adcVals4;
    QMap<int, double> rms4;
    QMap<int, int> dacOffset;
};
Q_DECLARE_METATYPE(CalResult)

bool operator==(const CalResult &l, const CalResult &r);
bool operator!=(const CalResult &l, const CalResult &r);
#endif // CALRESULT_H
