#ifndef TQDCCONFIGDB_H
#define TQDCCONFIGDB_H

#include "mongo/AbstractConfigDb.h"
#include "TqdcConfig.h"

class TqdcConfigDb : public AbstractConfigDb
{
    Q_OBJECT
public:
    TqdcConfigDb(const ConfigSelector &_cs, QObject *parent);

signals:
    void configChanged(const TqdcConfig &);

public slots:
    void setConfig(int config_key, const TqdcConfig &newConfig);

protected:
    virtual void update_config_from_db() override;

private:
    TqdcConfig config;
};

#endif // TQDCCONFIGDB_H
