#ifndef WAVEFORMVIEWERCONFIG_H
#define WAVEFORMVIEWERCONFIG_H

#include "base/DeviceIndex.h"

#include <QMetaType>

struct WaveformViewerConfig
{
    bool en = true;
    DeviceIndex selectedDevice;
    int minCh = -1;
    int maxCh = -1;
};
Q_DECLARE_METATYPE(WaveformViewerConfig)

inline bool operator==(const WaveformViewerConfig &l, const WaveformViewerConfig &r)
{
    return l.en == r.en &&
            l.selectedDevice == r.selectedDevice &&
            l.minCh == r.minCh &&
            l.maxCh == r.maxCh;
}

#endif // WAVEFORMVIEWERCONFIG_H
