#include "MainWindow.h"
#include "AfiViewerStartupOptions.h"
#include "AfiViewerApp.h"
#include "base/app/RunGuard.h"

#include "mongo/PrintConfigMap.h"

int main(int argc, char *argv[])
{
    AfiViewerApp daqApp(argc, argv);
    daqApp.init();

    if(daqApp.hasConfigListOpt())
        printConfigMap(daqApp.getType());

    RunGuard::runSingleOrExit(daqApp.getConfigSelector());

    int res =1;
    MainWindow w(daqApp.getStartupOptions());

    w.show();
    res = daqApp.exec();

    return res;
}
