#include "Config.h"

#include <QSettings>

void Config::loadSettings()
{
    QSettings settings;
    filePath = settings.value("filePath").toString();
    verifyAfterWrite = settings.value("verifyAfterWrite", verifyAfterWrite).toBool();
}

void Config::saveSettings()
{
    QSettings settings;
    settings.setValue("filePath", filePath);
    settings.setValue("verifyAfterWrite", verifyAfterWrite);
}
