#ifndef CONFIGMETACONVERTER_H
#define CONFIGMETACONVERTER_H

#include "base/AbstractConfigConverter.h"
#include "ConfigMeta.h"

namespace {
constexpr const char *k_phantom = "phantom";
constexpr const char *k_delete_host = "delete_host";
constexpr static const char *k_date_of_creation = "date_of_creation";
constexpr static const char *k_date_of_modification = "date_of_modification";
constexpr static const char *k_delete_datetime = "delete_datetime";
constexpr static const char *k_current_host = "current_host";
}

template<>
bool AbstractConfigConverter<ConfigMeta>::classIsObject();

template<>
void AbstractConfigConverter<ConfigMeta>::registerSubTypes();

#endif // CONFIGMETACONVERTER_H
