#ifndef TDCCORESTATUS_H
#define TDCCORESTATUS_H

#include <QVector>

struct HptdcStatus
{
    quint16 regValues[4];

    bool isOk() const;
    bool isDllLock() const;
    bool hasError() const;
    QString getSummary() const;
};

struct TdcCoreStatus
{
    int chipNum = 0;
    quint32 generalStatus;
    QVector<HptdcStatus> hptdcStatus;
};

#endif // TDCCORESTATUS_H
