#ifndef TTLIOMODULE_H
#define TTLIOMODULE_H

#include "device-modules/BaseDeviceModule.h"

struct TtlIoConfig;

class TtlIoModule : public BaseDeviceModule
{
public:
    TtlIoModule(QtMregDevice * const dev) : BaseDeviceModule(dev) {}
    virtual void post_init() override;

    TtlIoConfig readConfig() const;
    mlink::RegOpVector setConfig(const TtlIoConfig &cfg) const;

protected:
    AFI_SDB_ID getSdbId() const final { return AFI_SDB_TTL_IO_CTRL; }

private:
    quint16 ttlCount = 0;
};

#endif // TTLIOMODULE_H
