#ifndef FILEREADERCONFIG_H
#define FILEREADERCONFIG_H

#include <QString>
#include <QMetaType>

struct FileReaderConfig
{
    QString lastFile;
    int playbackInterval = 500; //ms
    int readBy = 1;
};
Q_DECLARE_METATYPE(FileReaderConfig)

inline bool operator==(const FileReaderConfig &l, const FileReaderConfig &r)
{
    return l.lastFile == r.lastFile &&
            l.playbackInterval == r.playbackInterval &&
            l.readBy == r.readBy;
}

#endif // FILEREADERCONFIG_H
