#include "DeviceHelper.h"

#include <QSemaphore>

#include "HistParams.h"

bool skip_work(const QSemaphore *sem)
{
    int freeSpace=sem->available();
    const double max=DATA_QUEUE_SIZE*0.9, min=DATA_QUEUE_SIZE*0.4, delta=max-min;
    if(freeSpace>max)
        return false;
    double s;
    if(freeSpace<min)
        s=999;
    else
        s=999*(max-freeSpace)/delta;

    const int rand=qrand()%1000;
    bool res=rand<s;
//    if(previousProceed)
//        qInfo()<<"freeSpace="<<freeSpace<<"  RandNumber="<<rand<<" threshold="<<s<<(res?" - skipp":" - proceed");

    return res;
}
