#include "ConfigSerDes.h"
#include <QDebug>

void ConfigSerDes::json_to_pod(const QJsonObject &obj, Config *config)
{
    config->expand_tree = obj["expand_tree"].toBool();
    config->rows_on_page = obj["rows_on_page"].toInt();
}

void ConfigSerDes::pod_to_json(const Config &config, QJsonObject *obj)
{
    (*obj)["expand_tree"] = config.expand_tree;
    (*obj)["rows_on_page"] = config.rows_on_page;
}
