#ifndef OUTPUTTCPSTATUS_H
#define OUTPUTTCPSTATUS_H

#include <QHostAddress>
#include <QMetaType>

struct OutputTcpStatus
{
    OutputTcpStatus(int i=0) : index(i)
    {}

    int index;
    bool listening = false;
    quint16 port = 0;
    bool isFree = true;
    bool isEmpty = true;
    double dataPart; // dataSize/allBufferSize
    QHostAddress peer_host;
    quint16 peer_port = 0;
};
Q_DECLARE_METATYPE(OutputTcpStatus)

#endif // OUTPUTTCPSTATUS_H
