#ifndef DEVICECONFIG_H
#define DEVICECONFIG_H

#include "base/DeviceIndex.h"

#include <QVector>

class DeviceConfig
{
public:
    const static int N_CH = 16;

    DeviceIndex device_index;
    double trashed_all;
    QVector<double> channel_thr_map;
    QVector<double> baseLine;
    bool enabled;
    QString lut_path;
    int hit_extension;

private:
    void init_default_config();
};
Q_DECLARE_METATYPE(DeviceConfig)

#endif // DEVICECONFIG_H
