#ifndef MSCCONFIGDB_H
#define MSCCONFIGDB_H

#include "mongo/AbstractConfigDb.h"
#include "MscConfig.h"

class MscConfigDb : public AbstractConfigDb
{
    Q_OBJECT

public:
    MscConfigDb(const ConfigSelector &cs, QObject *parent = nullptr);

signals:
    void configChanged(const MscConfig &);

public slots:
    void setConfig(const MscConfig &newConfig);

protected:
    void update_config_from_db() override final;

private:
    MscConfig config;
};

#endif // MSCCONFIGDB_H
