#include "MainWindow.h"
#include "base/app/DaqGuiApp.h"
#include "base/app/RunGuard.h"
#include "mongo/StartupOptions.h"

int main(int argc, char *argv[])
{
    DaqGuiApp daqApp(argc, argv, DaqModule::Type::Msc16VeTm);
    daqApp.init();

    StartupOptions startup_options(daqApp.getType());
    startup_options.parse_options();
    const auto cs = startup_options.cs;

    RunGuard::runSingleOrExit(cs.getType(), cs.getIndex());

    int res =1;
    MainWindow w(cs);

    w.show();
    res = daqApp.exec();

    return res;
}

