#ifndef CALCONFIG_H
#define CALCONFIG_H

#include <QString>
#include <QMap>
#include <QMetaType>

#include "CalResult.h"

class DeviceIndex;
class QSettings;

class CalConfig : public QMap<DeviceIndex, CalResult>
{
public:
    void updateBaseCal(const CalResult &calRes);
    void reloadCalibration();
    void writeAll();

protected:
    void reloadCalibration(QSettings &s);
};
Q_DECLARE_METATYPE(CalConfig)

#endif // CALCONFIG_H
