#include "ConfigDocument.h"

#include <QJsonDocument>

bool operator==(const ConfigDocument &l, const ConfigDocument &r) {
    return l.getConfigOid()==r.getConfigOid() &&
           l.getConfigSelector()==r.getConfigSelector() &&
           l.getConfigMeta()==r.getConfigMeta() &&
           l.getConfig()==r.getConfig();
}

QString ConfigDocument::toString() const
{
    return QString("_id: %1\n config_selector: %2\n meta: %3\n config: %4")
            .arg(getConfigOid())
            .arg(getConfigSelector().toString())
            .arg(getConfigMeta().toString())
            .arg(QString(QJsonDocument(config).toJson(QJsonDocument::Indented)));
}
