#ifndef CONFIGDOCUMENTCONVERTER_H
#define CONFIGDOCUMENTCONVERTER_H

#include "base/AbstractConfigConverter.h"
#include "ConfigDocument.h"

namespace {
constexpr const char *k_id = "_id";
constexpr const char *k_config_selector = "config_selector";
constexpr const char *k_meta = "meta";
constexpr const char *k_config = "config";
}

template<>
bool AbstractConfigConverter<ConfigDocument>::classIsObject();

template<>
void AbstractConfigConverter<ConfigDocument>::registerSubTypes();

#endif // CONFIGDOCUMENTCONVERTER_H
