#include "BaseDeviceModule.h"

#include "mregdev/qtmregdevice.h"

void BaseDeviceModule::init()
{
    if(dev->hasSdbDevice(getSdbId()))
        addrRange = dev->getAddrRange(getSdbId());

    post_init();
}

void BaseDeviceModule::setBaseAddr(quint16 baseAddr, quint16 mask)
{
    addrRange.first = baseAddr;
    addrRange.second = baseAddr+mask;
}

quint16 BaseDeviceModule::baseAddr() const
{
    return addrRange.first;
}
