#ifndef BMCMODULE_H
#define BMCMODULE_H

#include "device-modules/BaseDeviceModule.h"

struct BmcStatus;

class BmcModule : public BaseDeviceModule
{
public:
    BmcModule(QtMregDevice * const dev);

    mlink::RegOpVector getStatusRegOp() const;
    BmcStatus readStatus() const;
    BmcStatus getStatus(const mlink::RegOpVector &regRes, int posOffset) const;

protected:
    AFI_SDB_ID getSdbId() const final { return AFI_SDB_MCU; }
};

#endif // BMCMODULE_H
