#ifndef PLLSI5326MOD_H
#define PLLSI5326MOD_H

#include "device-modules/BaseDeviceModule.h"

class PllSi5326Module : public BaseDeviceModule
{
public:
    PllSi5326Module(QtMregDevice * const _dev);
    void post_init() override;

protected:
    AFI_SDB_ID getSdbId() const final { return AFI_SDB_UNKNOWN; }

private:
    bool waitFsmState(quint16 state);
    void patchPllConfig();
};

#endif // PLLSI5326MOD_H
