#ifndef RUNSTATISTIC_H
#define RUNSTATISTIC_H

#include <QtCore>

struct RunStatistic
{
    void clear() { *this = RunStatistic(); }

    quint64 runUptime = 0;
    quint64 lemoInputPulses = 0;
    quint64 ttcInputPulses = 0;
    quint64 vxsInputPulses = 0;
    quint64 felinkInputPulses = 0;
    quint64 triggerCandidates = 0;
    quint64 acceptedTrig = 0;
    quint64 blockedTriggers = 0;

    quint64 totalBusyTime = 0;
    quint64 adcBusyTime = 0;
    quint64 tdcBusyTime = 0;
    quint64 readoutBusyTime = 0;

//    quint64 allTrigCandid = 0;
//    quint64 runTrigCandid = 0;
//    quint64 runTimeNs = 0;
};

#endif // RUNSTATISTIC_H
