#ifndef RUNSTATISTICMODULE_H
#define RUNSTATISTICMODULE_H

#include "device-modules/BaseDeviceModule.h"

struct RunStatistic;

class RunStatisticModule : public BaseDeviceModule
{
public:
    RunStatisticModule(QtMregDevice * const dev);
    mlink::RegOpVector getRunStatisticRegOp() const;
    RunStatistic getRunStatistic(const mlink::RegOpVector &regRes, int posOffset) const;

protected:
    AFI_SDB_ID getSdbId() const final { return AFI_SDB_TDC_RUN_STAT_CNTS; }
};

#endif // RUNSTATISTICMODULE_H
