#include "TdcCoreConfig.h"

#include <QDataStream>
#include <QDebug>

TdcCoreConfig::TdcCoreConfig()
{
}

QDebug operator<<(QDebug dbg, const HptdcAdjustConfig &s)
{
    dbg << "HptdcAdjustConfig{"
        << "readout_fifo_size:" << s.readout_fifo_size
        << "mode_rc_compression:" << s.mode_rc_compression
        << "leading_resolution:" << s.leading_resolution
        << "enable_pair:" << s.enable_pair
        << "dll_mode:" << s.dll_mode
        << "dll_clock:" << s.dll_clock
        << "core_clock_source:" << s.core_clock_source
        << "}";
    return dbg;
}

QDataStream &operator<<(QDataStream &out, const HptdcAdjustConfig &r)
{
    out
            << r.readout_fifo_size
            << r.mode_rc_compression
            << r.leading_resolution
            << r.enable_pair
            << r.dll_mode
            << r.dll_clock
            << r.core_clock_source;
    return out;
}

QDataStream &operator>>(QDataStream &in, HptdcAdjustConfig &r)
{
    in
            >> r.readout_fifo_size
            >> r.mode_rc_compression
            >> r.leading_resolution
            >> r.enable_pair
            >> r.dll_mode
            >> r.dll_clock
            >> r.core_clock_source;
    return in;
}
