#ifndef ADCBASELINECALIBRATION_H
#define ADCBASELINECALIBRATION_H


#include <QVector>
#include <QMap>

class AdcCoreModule;
class QtMregDevice;

class AdcBaselineCalibration
{
public:
    AdcBaselineCalibration(AdcCoreModule *_adcCor, QtMregDevice * const dev);

    void calibrateBaseline(QMap<int, double> *meanPtr,
                           QMap<int, double> *rmsPtr);

private:
    QtMregDevice * const dev;
    AdcCoreModule * const adcCore;
};

#endif // ADCBASELINECALIBRATION_H
