#include "MStreamStatisticDialog.h"
#include "ui_MStreamStatisticDialog.h"

MStreamStatisticDialog::MStreamStatisticDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::MStreamStatisticDialog)
{
    ui->setupUi(this);

    connect(this, &MStreamStatisticDialog::stat_updated,
            ui->statisticOutput, &StatisticOutput::stat_updated);
    connect(this, &MStreamStatisticDialog::stat_from_receiver_updated,
            ui->statisticOutput, &StatisticOutput::stat_from_receiver_updated);
    connect(this, &MStreamStatisticDialog::set_run_state,
            ui->statisticOutput, &StatisticOutput::set_run_state);

}

MStreamStatisticDialog::~MStreamStatisticDialog()
{
    delete ui;
}

void MStreamStatisticDialog::add_device(DeviceIndex index)
{
    ui->statisticOutput->add_device(index);
}

void MStreamStatisticDialog::remove_device(DeviceIndex index)
{
    ui->statisticOutput->remove_device(index);
}
