#ifndef MSTREAMSTATISTICDIALOG_H
#define MSTREAMSTATISTICDIALOG_H

#include <QDialog>

#include "StatisticOutput.h"

namespace Ui {
class MStreamStatisticDialog;
}

class MStreamStatisticDialog : public QDialog
{
    Q_OBJECT

public:
    explicit MStreamStatisticDialog(QWidget *parent = nullptr);
    ~MStreamStatisticDialog();
    void add_device(DeviceIndex index);
    void remove_device(DeviceIndex index);

signals:
    void stat_updated(const MStreamStat &ms_stat);
    void stat_from_receiver_updated(const ReceiverStat &stat);

    void set_run_state(bool run);

private:
    Ui::MStreamStatisticDialog *ui;
};

#endif // MSTREAMSTATISTICDIALOG_H
